
Application: gvSIG desktop - gvSIG bugs #3828
Falla al abrir el dialogo de cargar capa (win32)
10/26/2015 06:32 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.3.0-2407 (rev. org.gvsig.desktop-2.0.110)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2406 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Arrancamos gvSIG, creamos una vista y le damos a cargar capa.
El dialogo no sale, se produce un error.

En el log el mensaje que muestra es:

INFO AWT-EventQueue-0 org.gvsig.andami.impl.DefaultPluginsManager$Task - Terminated startup task
'CheckOsAndArquitectre'.
INFO AWT-EventQueue-0 org.gvsig.app.project.ProjectManager - createDocumentsByUser('project.document.view2d')
INFO AWT-EventQueue-0 org.gvsig.tools.locator.AbstractLocator - Created and stored the instance of
org.gvsig.tools.dispose.manager in the singleton table
(org.gvsig.tools.dispose.impl.DefaultDisposableManager/org.gvsig.tools.dispose.impl.DefaultDisposableManager@1d5af13).
INFO AWT-EventQueue-0 org.gvsig.app.project.documents.view.DefaultViewDocument - No order manager found in
persistence.
INFO AWT-EventQueue-0 org.gvsig.tools.locator.AbstractLocator - Created and stored the instance of
default.layer.order.manager in the singleton table
(org.gvsig.fmap.mapcontext.layers.order.impl.TrivialLayerOrderManager/org.gvsig.fmap.mapcontext.layers.order.impl.TrivialLayerOrderManager@10fb9e6).
INFO AWT-EventQueue-0 org.gvsig.i18n.Messages - [org.gvsig.andami.messages.Messages] Cannot find translation for key 'Error de la applicacion.  
Es conveniente que salga de la aplicación

org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1()J'.
ERROR AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Error de la applicacion.  
Es conveniente que salga de la aplicación

org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1()J
java.lang.UnsatisfiedLinkError: org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1()J
    at org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1(Native Method)
    at org.gdal.osr.SpatialReference.<init>(SpatialReference.java:117)
    at org.gvsig.crs.proj.CrsProj.createCrs(CrsProj.java:101)
    at org.gvsig.crs.pro
yerOrderManager@10fb9e6).
INFO AWT-EventQueue-0 org.gvsig.i18n.Messages - [org.gvsig.andami.messages.Messages] Cannot find translation for key
'Error de la applicacion.  
Es conveniente que salga de la aplicación

org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1()J'.
ERROR AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Error de la applicacion.  
Es conveniente que salga de la aplicación

org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1()J
java.lang.UnsatisfiedLinkError: org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1()J
    at org.gdal.osr.osrJNI.new_SpatialReference__SWIG_1(Native Method)
    at org.gdal.osr.SpatialReference.<init>(SpatialReference.java:117)
    at org.gvsig.crs.proj.CrsProj.createCrs(CrsProj.java:101)
    at org.gvsig.crs.proj.CrsProj.<init>(CrsProj.java:63)
    at org.gvsig.crs.Crs.getCrsProj(Crs.java:463)
    at org.gvsig.crs.Crs.isProjected(Crs.java:578)
Sin embargo en la consola muestra algo mas, indicando que no puede cargar la dll "osrjni.dll" por que le falta alguna dependencia.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3829: Al arrancar gvSIG ... Closed 10/26/2015

Associated revisions
Revision 42423 - 10/27/2015 12:25 AM - Joaquín  del Cerro Murciano

refs #3828, corregido en el gvSIG.sh la generacion del PATH para tener acceso a las librerias nativas en windows

History
#1 - 10/26/2015 07:24 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3829: Al arrancar gvSIG no comprueba las dependencias de gdal. added

#2 - 10/26/2015 07:26 PM - Joaquín  del Cerro Murciano
- File gvSIG-launcher.log added

Al parecer faltan las dll:

    -  gdal111.dll
    -  MSVCP100.dll

#3 - 10/26/2015 07:42 PM - Joaquín  del Cerro Murciano

Bueno, pues al final no faltaba ninguna libreria, habia un error en gvSIG.sh, en la funcion "add_library_path". Faltaba añadir a PATH la ruta que recibia
la funcion. Pego aqui el codigo corregido:

###################################################################
# gvSIG native libraries location
###################################################################

export GVSIG_NATIVE_LIBS="" 
export LD_LIBRARY_PATH="" 
export PATH

add_library_path() {
  LD_LIBRARY_PATH="$LD_LIBRARY_PATH${CPSEP}$1" 
  GVSIG_NATIVE_LIBS="$GVSIG_NATIVE_LIBS${CPSEP}$1" 
  PATH="$PATH${CPSEP}$1" 
}

list_shared_library_dependencies() {
  logger_info "Cheking shared library dependencies for $1" 
  if [ "$OS" = "win" ] ; then
        logger_cmd ./cygcheck.exe "$1" 
  else
        logger_cmd ldd "$1" 
  fi || logger_warn "Problens checking shared library $1"  || true
}
###################################################################

#4 - 10/27/2015 08:15 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 11/02/2015 01:53 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG-launcher.log 12.2 KB 10/26/2015 Joaquín  del Cerro Murciano
